using System;
using com.jnbridge.jnbcore;

namespace SwingInteropDotNetSide
{
	/// <summary>
	/// The Java-side server program.
	/// Copyright 2004, JNBridge, LLC
	/// </summary>
	class Class1
	{
		/// <summary>
		/// The Java-side server program.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			// specify the assemblies we'll be accessing from Java
			string[] assemblies = {
			"SwingInterop.dll",
			"System.Windows.Forms, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b77a5c561934e089"
								  };
			// need to initialize DotNetSide with the names of all the assemblies 
			// from which you will be referencing classes
			DotNetSide.startDotNetSide(assemblies);
			Console.WriteLine("Hit <return> to exit");
			Console.ReadLine();
			DotNetSide.stopDotNetSide();	// end it (optional)
		}
	}
}
